IRPCClientScript.GetDownloadSessionIdOfScriptApplicationFile

View as Markdown

Vault API / standard read session idempotent

Starts downloading one file of a UI extension application of the new M-Files clients.

ServiceClient scripts and UI extension applications MFiles.IRPCClientScript
gRPC method/MFiles.IRPCClientScript/GetDownloadSessionIdOfScriptApplicationFile
HTTP (mf-http-grpc)POST /grpc/v1/get-download-session-id-of-script-application-file
RequestGetDownloadSessionIdOfScriptApplicationFileRequest
ResponseGetDownloadSessionIdOfScriptApplicationFileResponse
Book and levelVault API, standard
Kindread
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetDownloadSessionIdOfScriptApplicationFileRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
script_applicationstringThe GUID of the application.
file_namestringThe path of the file inside the application, for example script\helper.js.

Response: GetDownloadSessionIdOfScriptApplicationFileResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
download_idint32The ID of the download.
file_sizeint64The size of the file in bytes.